﻿using System;
using System.Collections.Generic;

public partial class _Default : System.Web.UI.Page
{
    //creation of List
    static List<string> SocialNetworkList;

    /// <summary>
    /// Page load event
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    protected void Page_Load(object sender, EventArgs e)
    {
        lblListDisplay.Text = "";

        if (!IsPostBack)
        {
            SocialNetworkList = new List<string>();
            //add the items in List
            SocialNetworkList.Add("Facebook");
            SocialNetworkList.Add("Linkedin");
            SocialNetworkList.Add("Twitter");
            SocialNetworkList.Add("Google+");
            SocialNetworkList.Add("Orkut");
       
        }
        DisplayListBoxData();
    }

    /// <summary>
    /// Add items in List
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    protected void btnAdd_Click(object sender, EventArgs e)
    {
        if (txtListItem.Text.Trim() != "")
        {          
                SocialNetworkList.Add(txtListItem.Text.Trim());

                lblListDisplay.Text = "List Item Added";            
        }
        else
        {
            lblListDisplay.Text = "List - Please Enter an Item to Add";
        }
        DisplayListBoxData();
    }

    /// <summary>
    /// Delete items from List
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    protected void btnDelete_Click(object sender, EventArgs e)
    {
        if (txtListItem.Text.Trim() != "")
        {
            if (SocialNetworkList.Contains(txtListItem.Text.Trim()))
            {
                SocialNetworkList.Remove(txtListItem.Text.Trim());

                //SocialNetworkList.RemoveAt(1);

                lblListDisplay.Text = "List Item Deleted";
            }
            else
            {
                lblListDisplay.Text = "Item Not Found.";
            }
        }
        else
        {
            lblListDisplay.Text = "List - Please Enter an Item to Delete";
        }
        DisplayListBoxData();
    }

    
   /// <summary>
    /// List Data Display
   /// </summary>
    private void DisplayListBoxData()
    {
        lstSocialNetwork.Items.Clear();
        foreach (string str in SocialNetworkList)
        {
            lstSocialNetwork.Items.Add(str);
        }
       
    }

    /// <summary>
    /// Other common methods of List
    /// </summary>
    private void OtherFunctionality()
    {        
        //Clear all the items of List
        SocialNetworkList.Clear();

        lblListDisplay.Text = " Count of All the Items of List: " + SocialNetworkList.Count;

        lblListDisplay.Text = " Capacity of All the Items of List: " + SocialNetworkList.Capacity;

    }

    /// <summary>
    /// List - Search Item
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    protected void btnSearch_Click(object sender, EventArgs e)
    {
        if (txtListItem.Text.Trim() != "")
        {
            if (SocialNetworkList.Contains(txtListItem.Text.Trim()))
            {
                lblListDisplay.Text = "List Item Found";
            }
            else
            {
                lblListDisplay.Text = "List Item Not Found.";
            }
        }
        else
        {
            lblListDisplay.Text = "Please Enter an Item to Search";
        }
        DisplayListBoxData();
    }

    /// <summary>
    /// List - Sort Items
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    protected void btnSort_Click(object sender, EventArgs e)
    {
        SocialNetworkList.Sort();

        //Reverse sort
        //SocialNetworkList.Reverse();
       
        lblListDisplay.Text = "List Item Not Found.";
        
        DisplayListBoxData();

    }
  
}
